Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3440)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3441)
@@ -60,6 +60,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.Project;
 import org.txm.rcp.IImageKeys;
+import org.txm.rcp.commands.workspace.UpdateCorpus;
 import org.txm.rcp.corpuswizard.ImportWizard;
 import org.txm.rcp.editors.imports.sections.CommandsSection;
 import org.txm.rcp.editors.imports.sections.EditionSection;
@@ -76,6 +77,7 @@
 import org.txm.rcp.handlers.scripts.ExecuteImportScript;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.SWTEditorsUtils;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.logger.Log;
 import org.xml.sax.SAXException;
 
@@ -146,7 +148,7 @@
 	
 	TableViewer pattributesViewer;
 	
-	private Project project;
+	//private Project project;
 	
 	/**
 	 * Instantiates a new main page.
@@ -160,7 +162,7 @@
 	}
 	
 	private int createEditionsSection() {
-		editionSection = new EditionSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE, moduleParams, editor.getGroovyScript().getName());
+		editionSection = new EditionSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE, moduleParams, editor.getImportName());
 		return editionSection.getSectionSize();
 	}
 	
@@ -199,7 +201,7 @@
 		
 		createToolbar();
 		
-		String importName = editor.getGroovyscript().getName();
+		String importName = editor.getImportName();
 		moduleParams = ImportModuleCustomization.getParameters(importName);
 		
 		// CREATE THE SECTIONS
@@ -263,6 +265,10 @@
 		
 		form.layout(true);
 		managedForm.reflow(true);
+		
+		if (editor.project != null) { // the project is already set, all the select sources widget are disable
+			initializeProjectSettings();
+		}
 	}
 	
 	private int createTextualPlansSection() {
@@ -281,7 +287,8 @@
 	}
 	
 	private int createAdditionalSection() {
-		String importName = editor.getGroovyscript().getName();
+		String importName = editor.getImportName();
+		
 		if (ImportModuleCustomization.getAdditionalSection(importName) != null) {
 			Class<? extends ImportEditorSection> clazz = ImportModuleCustomization.getAdditionalSection(importName);
 			
@@ -733,26 +740,28 @@
 		
 		Label titleLabel = toolkit.createLabel(hyperlinks, "", SWT.WRAP); //$NON-NLS-1$
 		titleLabel.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.TOP));
-		titleLabel.setText(NLS.bind(TXMUIMessages.importParametersOfP0,
-				ImportModuleCustomization.getName(editor.getGroovyScript().getName())));
+		titleLabel.setText(NLS.bind(TXMUIMessages.importParametersOfP0, editor.getImportName()));
 		FontData[] fD = titleLabel.getFont().getFontData();
 		fD[0].setHeight(16);
 		titleLabel.setFont(new Font(titleLabel.getDisplay(), fD[0]));
 		
-		HyperlinkAdapter selectDirHListener = new HyperlinkAdapter() {
-			
-			@Override
-			public void linkActivated(HyperlinkEvent e) {
-				// System.out.println("Opening...");
-				selectSourceDir();
-			}
-		};
+		HyperlinkAdapter selectDirHListener = null;
+		if (editor.project == null) {
+			selectDirHListener = new HyperlinkAdapter() {
+				
+				@Override
+				public void linkActivated(HyperlinkEvent e) {
+					// System.out.println("Opening...");
+					selectSourceDir();
+				}
+			};
+		}
 		
 		HyperlinkAdapter saveHListener = new HyperlinkAdapter() {
 			
 			@Override
 			public void linkActivated(HyperlinkEvent e) {
-				if (project != null) {
+				if (editor.project != null) {
 					saveConfig();
 				}
 				else {
@@ -766,8 +775,8 @@
 			@Override
 			public void linkActivated(HyperlinkEvent e) {
 				// System.out.println("Starting...");
-				if (project != null) {
-					project.setDirty();
+				if (editor.project != null) {
+					editor.project.setDirty();
 					if (saveConfig()) {
 						startImport();
 					}
@@ -778,10 +787,12 @@
 			}
 		};
 		
-		ImageHyperlink openImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
-		openImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
-		openImportLink.setImage(IImageKeys.getImage(IImageKeys.FOLDER));
-		openImportLink.addHyperlinkListener(selectDirHListener);
+		if (editor.project == null) {
+			ImageHyperlink openImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
+			openImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
+			openImportLink.setImage(IImageKeys.getImage(IImageKeys.FOLDER));
+			openImportLink.addHyperlinkListener(selectDirHListener);
+		}
 		
 		ImageHyperlink saveImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 		saveImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
@@ -793,31 +804,34 @@
 		startImportLink.setImage(IImageKeys.getImage(IImageKeys.START));
 		startImportLink.addHyperlinkListener(startImportListener);
 		
+		int n = 1;
+		if (editor.project == null) {
+			
+			Composite line1 = toolkit.createComposite(form.getBody());
+			gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
+			gdata.colspan = 2;
+			line1.setLayoutData(gdata);
+			RowLayout hLayout = new RowLayout();
+			hLayout.center = true;
+			line1.setLayout(hLayout);
+			toolkit.createLabel(line1, ""+(n++)+".", SWT.WRAP);
+			
+			Hyperlink hyperlink1 = toolkit.createHyperlink(line1, TXMUIMessages.selectTheSourceDirectory, SWT.WRAP);
+			hyperlink1.addHyperlinkListener(selectDirHListener);
+
+			ImageHyperlink openImportLink2 = toolkit.createImageHyperlink(line1, SWT.WRAP);
+			openImportLink2.setImage(IImageKeys.getImage(IImageKeys.FOLDER));
+			openImportLink2.addHyperlinkListener(selectDirHListener);
+		}
 		
-		Composite line1 = toolkit.createComposite(form.getBody());
-		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
-		gdata.colspan = 2;
-		line1.setLayoutData(gdata);
-		RowLayout hLayout = new RowLayout();
-		hLayout.center = true;
-		line1.setLayout(hLayout);
-		toolkit.createLabel(line1, TXMUIMessages._1, SWT.WRAP);
-		
-		Hyperlink hyperlink1 = toolkit.createHyperlink(line1, TXMUIMessages.selectTheSourceDirectory, SWT.WRAP);
-		hyperlink1.addHyperlinkListener(selectDirHListener);
-		
-		ImageHyperlink openImportLink2 = toolkit.createImageHyperlink(line1, SWT.WRAP);
-		openImportLink2.setImage(IImageKeys.getImage(IImageKeys.FOLDER));
-		openImportLink2.addHyperlinkListener(selectDirHListener);
-		
 		Composite line2 = toolkit.createComposite(form.getBody());
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
 		gdata.colspan = 2;
 		line2.setLayoutData(gdata);
-		hLayout = new RowLayout();
+		RowLayout hLayout = new RowLayout();
 		hLayout.center = true;
 		line2.setLayout(hLayout);
-		toolkit.createLabel(line2, TXMUIMessages._2, SWT.WRAP);
+		toolkit.createLabel(line2, ""+(n++)+".", SWT.WRAP);
 		toolkit.createLabel(line2, TXMUIMessages.setImportParametersInTheSectionsBelow, SWT.WRAP);
 		
 		Composite line4 = toolkit.createComposite(form.getBody());
@@ -827,7 +841,7 @@
 		hLayout = new RowLayout();
 		hLayout.center = true;
 		line4.setLayout(hLayout);
-		toolkit.createLabel(line4, TXMUIMessages._3);
+		toolkit.createLabel(line4, ""+(n++)+".", SWT.WRAP);
 		Hyperlink hyperlink3 = toolkit.createHyperlink(line4, TXMUIMessages.startCorpusImport, SWT.WRAP);
 		hyperlink3.addHyperlinkListener(startImportListener);
 		ImageHyperlink startImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
@@ -851,58 +865,58 @@
 	public void loadParams() throws ParserConfigurationException, SAXException, IOException {
 		
 		Log.fine(NLS.bind(TXMUIMessages.moduleUIParametersColonP0, moduleParams));
-		this.setPartName(project.getName());
+		this.setPartName(editor.project.getName());
 		
 		if (infosSection != null && !infosSection.isDisposed()) {
 			infosSection.setEnabled(true);
-			infosSection.update(project);
+			infosSection.update(editor.project);
 		}
 		if (langSection != null && !langSection.isDisposed()) {
 			langSection.setEnabled(true);
-			langSection.update(project);
+			langSection.update(editor.project);
 		}
 		if (xsltSection != null && !xsltSection.isDisposed()) {
 			xsltSection.setEnabled(true);
-			xsltSection.update(project);
+			xsltSection.update(editor.project);
 		}
 		if (tokenizerSection != null && !tokenizerSection.isDisposed()) {
 			tokenizerSection.setEnabled(true);
-			tokenizerSection.update(project);
+			tokenizerSection.update(editor.project);
 		}
 		if (uiSection != null && !uiSection.isDisposed()) {
 			uiSection.setEnabled(true);
-			uiSection.update(project);
+			uiSection.update(editor.project);
 		}
 		if (encodingSection != null && !encodingSection.isDisposed()) {
 			encodingSection.setEnabled(true);
-			encodingSection.update(project);
+			encodingSection.update(editor.project);
 		}
 		if (editionSection != null && !editionSection.isDisposed()) {
 			editionSection.setEnabled(true);
-			editionSection.update(project);
+			editionSection.update(editor.project);
 		}
 		if (fontSection != null && !fontSection.isDisposed()) {
 			fontSection.setEnabled(true);
-			fontSection.update(project);
+			fontSection.update(editor.project);
 		}
 		if (textualPlansSection != null && !textualPlansSection.isDisposed()) {
 			textualPlansSection.setEnabled(true);
-			textualPlansSection.update(project);
+			textualPlansSection.update(editor.project);
 		}
 		
 		if (structuresSection != null && !structuresSection.isDisposed()) {
 			structuresSection.setEnabled(true);
-			structuresSection.update(project);
+			structuresSection.update(editor.project);
 		}
 		
 		if (optionsSection != null && !optionsSection.isDisposed()) {
 			optionsSection.setEnabled(true);
-			optionsSection.update(project);
+			optionsSection.update(editor.project);
 		}
 		
 		if (additionalSection != null && !additionalSection.isDisposed()) {
 			additionalSection.setEnabled(true);
-			additionalSection.update(project);
+			additionalSection.update(editor.project);
 		}
 		
 		/*
@@ -932,7 +946,7 @@
 	public boolean saveConfig() {
 		Log.info(TXMUIMessages.savingImportParameters);
 		
-		if (project == null || project.getRCPProject() == null || !project.getRCPProject().exists()) {
+		if (editor.project == null || editor.project.getRCPProject() == null || !editor.project.getRCPProject().exists()) {
 			Log.warning("The corpus has been deleted since. Please re-open the import form.");
 			this.getEditor().close(false);
 			return false;
@@ -991,45 +1005,45 @@
 		// SAVE ALL SECTIONS
 		boolean successfulSave = true;
 		if (infosSection != null && !infosSection.isDisposed()) {
-			successfulSave = successfulSave & infosSection.save(project);
+			successfulSave = successfulSave & infosSection.save(editor.project);
 		}
 		if (langSection != null && !langSection.isDisposed()) {
-			successfulSave = successfulSave & langSection.save(project);
+			successfulSave = successfulSave & langSection.save(editor.project);
 		}
 		if (xsltSection != null && !xsltSection.isDisposed()) {
-			successfulSave = successfulSave & xsltSection.save(project);
+			successfulSave = successfulSave & xsltSection.save(editor.project);
 		}
 		if (tokenizerSection != null && !tokenizerSection.isDisposed()) {
-			successfulSave = successfulSave & tokenizerSection.save(project);
+			successfulSave = successfulSave & tokenizerSection.save(editor.project);
 		}
 		if (uiSection != null && !uiSection.isDisposed()) {
-			successfulSave = successfulSave & uiSection.save(project);
+			successfulSave = successfulSave & uiSection.save(editor.project);
 		}
 		if (encodingSection != null && !encodingSection.isDisposed()) {
-			successfulSave = successfulSave & encodingSection.save(project);
+			successfulSave = successfulSave & encodingSection.save(editor.project);
 		}
 		if (editionSection != null && !editionSection.isDisposed()) {
-			successfulSave = successfulSave & editionSection.save(project);
+			successfulSave = successfulSave & editionSection.save(editor.project);
 		}
 		if (fontSection != null && !fontSection.isDisposed()) {
-			successfulSave = successfulSave & fontSection.save(project);
+			successfulSave = successfulSave & fontSection.save(editor.project);
 		}
 		if (textualPlansSection != null && !textualPlansSection.isDisposed()) {
-			successfulSave = successfulSave & textualPlansSection.save(project);
+			successfulSave = successfulSave & textualPlansSection.save(editor.project);
 		}
 		if (structuresSection != null && !structuresSection.isDisposed()) {
-			successfulSave = successfulSave & structuresSection.save(project);
+			successfulSave = successfulSave & structuresSection.save(editor.project);
 		}
 		if (optionsSection != null && !optionsSection.isDisposed()) {
-			successfulSave = successfulSave & optionsSection.save(project);
+			successfulSave = successfulSave & optionsSection.save(editor.project);
 		}
 		if (additionalSection != null && !additionalSection.isDisposed()) {
-			successfulSave = successfulSave & additionalSection.save(project);
+			successfulSave = successfulSave & additionalSection.save(editor.project);
 		}
 		
 		if (successfulSave) {
 			try {
-				project.save();
+				editor.project.save();
 				// DomUtils.save(params.root.getOwnerDocument(), paramFile);
 			}
 			catch (Exception e1) {
@@ -1052,14 +1066,20 @@
 		WizardDialog wdialog = new WizardDialog(this.getEditor().getSite().getShell(), wiz);
 		wdialog.open();
 		
-		project = wiz.getProject();
-		if (project == null) {
+		editor.project = wiz.getProject();
+		
+		initializeProjectSettings();
+	}
+	
+	private void initializeProjectSettings() {
+		
+		if (editor.project == null) {
 			// System.out.println("Error: no project created");
 			return;
 		}
-		// TODO currently the script directory is the same as the import name
-		project.setImportModuleName(editor.getGroovyScript().getParentFile().getName());
 		
+		editor.project.setImportModuleName(editor.getImportName());
+		
 		try {
 			loadParams();
 			
@@ -1073,23 +1093,27 @@
 	
 	public void startImport() {
 		// TODO: test all sections here
-		project.setDirty();
-		project.setDoUpdate(false, false);
-		project.setNeedToBuild();
-		
-		if (project.getChildren().size() > 0) {
-			boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), TXMUIMessages.warning, NLS.bind(TXMUIMessages.theP0CorpusDirectoryAlreadyExistsDoYouWantToReplaceIt, project
-					.getName()));
-			if (!b) {
-				Log.info(TXMUIMessages.abort);
-				return;
+		editor.project.setDirty();
+		if (editor.getUpdateMode()) {
+			UpdateCorpus.update((MainCorpus)(editor.project.getCorpusBuild(editor.project.getName(), MainCorpus.class)));
+		} else {
+			editor.project.setDoUpdate(false, false);
+			editor.project.setNeedToBuild();
+			
+			if (editor.project.getChildren().size() > 0) {
+				boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), TXMUIMessages.warning, NLS.bind(TXMUIMessages.theP0CorpusDirectoryAlreadyExistsDoYouWantToReplaceIt, editor.project.getName()));
+				if (!b) {
+					Log.info(TXMUIMessages.abort);
+					return;
+				}
 			}
+			
+			SWTEditorsUtils.closeEditors(editor.project, true);
+			
+			ExecuteImportScript.executeScript(editor.project);
 		}
 		
-		SWTEditorsUtils.closeEditors(project, true);
 		
-		ExecuteImportScript.executeScript(project);
-		
 	}
 	
 	// private void updateEditionsSection() {
@@ -1158,12 +1182,12 @@
 	// }
 	//
 	public String getRootDir() {
-		if (project == null) return null;
-		if (project.getSrcdir() == null) return null;
-		return project.getSrcdir().getAbsolutePath();
+		if (editor.project == null) return null;
+		if (editor.project.getSrcdir() == null) return null;
+		return editor.project.getSrcdir().getAbsolutePath();
 	}
 	
-	public Project getProject() {
-		return project;
-	}
+//	public Project getProject() {
+//		return project;
+//	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3440)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3441)
@@ -53,11 +53,11 @@
 	
 	public static final String IMPORT_NAME = "import_name";
 	
-	public static HashMap<String, HashMap<String, Boolean>> sectionsPerImportModule = new HashMap<>();
+	protected static HashMap<String, HashMap<String, Boolean>> sectionsPerImportModule = new HashMap<>();
 	
-	public static HashMap<String, Class<? extends ImportEditorSection>> additionalSections = new HashMap<>();
+	protected static HashMap<String, Class<? extends ImportEditorSection>> additionalSections = new HashMap<>();
 	
-	public static HashMap<String, String> names = new HashMap<>();
+	protected static HashMap<String, String> names = new HashMap<>();
 	
 	static { // init import module
 		HashMap<String, Boolean> params = new HashMap<>();
@@ -370,6 +370,9 @@
 		if (sectionsPerImportModule.containsKey(importscript)) {
 			return sectionsPerImportModule.get(importscript);
 		}
+		else if (sectionsPerImportModule.containsKey(importscript+"Loader.groovy")) {
+			return sectionsPerImportModule.get(importscript+"Loader.groovy");
+		} 
 		else {
 			HashMap<String, Boolean> params = new HashMap<>();
 			params.put(PARALLEL, true);
@@ -396,7 +399,9 @@
 		if (sectionsPerImportModule.containsKey(importscript)) {
 			return names.get(importscript);
 		}
-		else {
+		if (sectionsPerImportModule.containsKey(importscript+"Loader.groovy")) {
+			return names.get(importscript+"Loader.groovy");
+		}else {
 			return importscript;
 		}
 	}
@@ -407,6 +412,14 @@
 	 * @return a ImportEditorSection class if any for a given import module name
 	 */
 	public static Class<? extends ImportEditorSection> getAdditionalSection(String importName) {
+		if (!additionalSections.containsKey(importName)) {
+			return additionalSections.get(importName+"Loader.groovy");
+		}
 		return additionalSections.get(importName);
 	}
+
+	public static void addAdditionalSections(String name, Class<? extends ImportEditorSection> clazz) {
+		
+		additionalSections.put(name, clazz);
+	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3440)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3441)
@@ -949,14 +949,12 @@
 									setCanceled(true);
 								}
 								// popup alert to inform user that children results will be recomputed
-								if (!TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)
-										&& TXMEditor.this.getResult().hasVisibleChild() && !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning,
-												TXMUIMessages.warning_popup_allDescendantResultsWillBeUpdated)) {
+								if (!TBXPreferences.getInstance().getBoolean(RCPPreferences.AUTO_UPDATE_SUBRESULTS)
+										&& TXMEditor.this.getResult().hasVisibleChild() 
+										&& !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning, TXMUIMessages.warning_popup_allDescendantResultsWillBeUpdated)) {
 									setCanceled(true);
 								}
 								
-								
-								
 								// subclasses manual result updating from editor fields
 								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$
 								updateResultFromEditor();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java	(revision 3440)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java	(revision 3441)
@@ -44,15 +44,17 @@
 public class ImportFormEditorInput implements IEditorInput {
 	
 	/** The xmlfile. */
-	File xmlfile;
+	File scriptFile;
 	
+	Boolean updateMode;
+	
 	/**
 	 * Instantiates a new import form editor input.
 	 *
 	 * @param xmlfile the xmlfile
 	 */
 	public ImportFormEditorInput(File xmlfile) {
-		this.xmlfile = xmlfile;
+		this.scriptFile = xmlfile;
 	}
 
 	/* (non-Javadoc)
@@ -69,8 +71,12 @@
 	 */
 	@Override
 	public String getName() {
-		String name = ImportModuleCustomization.getName(xmlfile.getName());
-		return name;
+		if (scriptFile != null) {
+			String name = ImportModuleCustomization.getName(scriptFile.getName());
+			return name;
+		} else {
+			return "";
+		}
 	}
 	
 	/* (non-Javadoc)
@@ -104,7 +110,7 @@
 	 */
 	public File getGroovyFile()
 	{
-		return xmlfile;
+		return scriptFile;
 	}
 
 	/* (non-Javadoc)
@@ -114,4 +120,14 @@
 	public boolean exists() {
 		return false;
 	}
+
+	public Boolean getUpdateMode() {
+		
+		return updateMode;
+	}
+
+	public void setUpdateMode(boolean updateMode) {
+		
+		this.updateMode = updateMode;
+	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/TextDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/TextDialog.java	(revision 3440)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/TextDialog.java	(revision 3441)
@@ -61,6 +61,7 @@
 
 		GridLayout layout = (GridLayout) comp.getLayout();
 		layout.numColumns = 1;
+		layout.verticalSpacing = 5;
 		
 		GridData data = new GridData(GridData.FILL_HORIZONTAL);
 
@@ -68,7 +69,8 @@
 		questionLabel.setText(question);
 		questionLabel.setLayoutData(data);
 
-		textField = new Text(comp, SWT.SINGLE);
+		textField = new Text(comp, SWT.SINGLE|SWT.BORDER);
+		data = new GridData(GridData.FILL_HORIZONTAL);
 		textField.setLayoutData(data);
 		if(this.text != null)	{
 			textField.setText(this.text);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 0)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3441)
@@ -0,0 +1,172 @@
+package org.txm.rcp.swt.dialog;
+
+import org.eclipse.jface.dialogs.Dialog;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Shell;
+
+public class UpdateCorpusDialog extends Dialog {
+
+	protected String title = "Update corpus";
+	protected String topMessage = "Update the corpus from its XML-TXM files";
+	protected String bottomMessage = "All editors using this corpus will be closed. And the corpus will be update.\n\nContinue?";
+	
+	protected Button openCorpusParameters;
+	protected Button updateEditionsCheck;
+	protected Button forceUpdateCheck;
+	
+	public boolean doOpenCorpusParameters = false;
+	public boolean doUpdateEditions = false;
+	public boolean doForceUpdate = false;
+	
+	public UpdateCorpusDialog(Shell parentShell) {
+		
+		super(parentShell);
+	}
+	
+	@Override
+	protected void configureShell(Shell newShell) {
+		super.configureShell(newShell);
+		newShell.setText(title);
+	}
+	
+	@Override
+	protected Control createDialogArea(Composite parent) {
+		Composite comp = (Composite) super.createDialogArea(parent);
+
+		GridLayout layout = (GridLayout) comp.getLayout();
+		layout.numColumns = 1;
+		layout.verticalSpacing = 20;
+		layout.marginWidth = 15;
+		
+		createTopMessageArea(comp);
+		
+		createButtonsArea(comp);
+		
+		createBottomMessageArea(comp);
+		
+		return comp;
+	}
+	
+	protected void createButtonsArea(Composite comp) {
+		
+		GridData data = new GridData(GridData.FILL_HORIZONTAL);
+		
+		openCorpusParameters = new Button(comp, SWT.CHECK);
+		data = new GridData(GridData.FILL_HORIZONTAL);
+		openCorpusParameters.setLayoutData(data);
+		openCorpusParameters.setText("Open more update parameters before updating");
+		openCorpusParameters.setToolTipText("Use this to change the corpus parameters before updating the corpus");
+		openCorpusParameters.setSelection(doOpenCorpusParameters);
+
+		updateEditionsCheck = new Button(comp, SWT.CHECK);
+		data = new GridData(GridData.FILL_HORIZONTAL);
+		updateEditionsCheck.setLayoutData(data);
+		updateEditionsCheck.setText("update the edition pages");
+		updateEditionsCheck.setToolTipText("If not checked, the edition pages are not updated and might not reflect exactly the corpus content.");
+		updateEditionsCheck.setSelection(doUpdateEditions);
+		
+		forceUpdateCheck = new Button(comp, SWT.CHECK);
+		data = new GridData(GridData.FILL_HORIZONTAL);
+		forceUpdateCheck.setLayoutData(data);
+		forceUpdateCheck.setText("Force update of non-modified texts");
+		forceUpdateCheck.setToolTipText("when checked this option make TXM update all indexes & editions of all texts even if their XML-TXM file is not modified (it takes more time to update).");
+		forceUpdateCheck.setSelection(doForceUpdate);
+	}
+
+	protected void createTopMessageArea(Composite comp) {
+		
+		Label mainMessage = new Label(comp, SWT.WRAP);
+		mainMessage.setText(topMessage);
+		GridData data = new GridData(GridData.FILL_HORIZONTAL);
+		mainMessage.setLayoutData(data);
+	}
+	
+	protected void createBottomMessageArea(Composite comp) {
+		
+		Label mainMessage = new Label(comp, SWT.WRAP);
+		mainMessage.setText(bottomMessage);
+		GridData data = new GridData(GridData.FILL_HORIZONTAL);
+		mainMessage.setLayoutData(data);
+	}
+
+	@Override
+	protected void buttonPressed(int buttonId) {
+		if (buttonId == Dialog.OK) {
+			doUpdateEditions = updateEditionsCheck.getSelection();
+			doForceUpdate = forceUpdateCheck.getSelection();
+		}
+		
+		super.buttonPressed(buttonId);
+	}
+
+	/**
+	 * 
+	 * @return the update edition button value AFTER this dialog is closed
+	 */
+	public boolean getDoUpdateEdition() {
+		
+		return doUpdateEditions;
+	}
+	
+	/**
+	 * 
+	 * @return the force update button value AFTER this dialog is closed
+	 */
+	public boolean getDoForceUpdate() {
+		
+		return doForceUpdate;
+	}
+	
+	/**
+	 * 
+	 * @return the update edition button value AFTER this dialog is closed
+	 */
+	public void setDoUpdateEdition(boolean doUpdateEditions) {
+		
+		this.doUpdateEditions = doUpdateEditions;
+	}
+	
+	/**
+	 * 
+	 * @return the force update button value AFTER this dialog is closed
+	 */
+	public void setDoForceUpdate(boolean doForceUpdate) {
+		
+		this.doForceUpdate = doForceUpdate;
+	}
+
+	public boolean getDoOpenCorpusParameters() {
+		
+		return doOpenCorpusParameters;
+	}
+	
+	public void setDoOpenCorpusParameters(boolean doOpenCorpusParameters) {
+		
+		this.doOpenCorpusParameters = doOpenCorpusParameters;
+	}
+
+	public void setMessages(String topMessage, String bottomMessage) {
+		
+		this.topMessage = topMessage;
+		this.bottomMessage = bottomMessage;
+	}
+	
+	public String getTopMessage() {
+		return topMessage;
+	}
+	
+	public String getBottomMessage() {
+		return bottomMessage;
+	}
+	
+	public void setTitle(String title) {
+		
+		this.title = title;
+	}
+}

